import com.sun.lwuit.Component;
import com.sun.lwuit.Container;
import com.sun.lwuit.Font;
import com.sun.lwuit.Label;
import com.sun.lwuit.List;
import com.sun.lwuit.TextArea;
import com.sun.lwuit.list.ListCellRenderer;
import com.sun.lwuit.plaf.Style;


public class MyRenderer implements ListCellRenderer {

	public Component getListCellRendererComponent(List list,
			Object myObject, int position, boolean isSelected) {
		Container c = new Container();

		Style transpa = new Style();
		transpa.setBgTransparency(0);

		MyObject object = (MyObject) myObject;

		System.out.println("rendering 1 "+object.getTitle());
		
		Label thumb = new Label(object.getThumbnailImg());
		System.out.println("rendering 1.2 "+object.getTitle());
		thumb.setStyle(transpa);
		System.out.println("rendering 1.3 "+object.getTitle());
		c.addComponent(thumb);

		System.out.println("rendering 2 "+object.getTitle());
		
		TextArea title = new TextArea(object.getTitle());
		//title.setGrowByContent(true);
		title.setStyle(transpa);
		title.getStyle().setFont(Font.createSystemFont(Font.FACE_SYSTEM, Font.STYLE_BOLD,Font.SIZE_MEDIUM));
		title.setEditable(false);
		title.setFocusable(false);

		c.addComponent(title);

		System.out.println("rendered "+object.getTitle());
		
		return c;
	}

	public Component getListFocusComponent(List arg0) {
		Label label = new Label("");
		label.getStyle().setBgTransparency(100);
		label.getStyle().setBgColor(13434879);
		return label;
	}

}
